Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354076 - Pinentry fails in multiple locations - Thunderbird/Enigmail - SU Elevation in Gnome
Summary: Pinentry fails in multiple locations - Thunderbird/Enigmail - SU Elevation in...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pinentry
Version: 24
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-09 06:04 UTC by Jason Holt
Modified: 2017-08-08 15:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:28:27 UTC


Attachments (Terms of Use)

Description Jason Holt 2016-07-09 06:04:49 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Installing Software - Prompt for Passphrase authorization
When trying to enter authorization for something that needs my SU password, the pin entry screen loads.  I put in a valid password for the SU admin user, when I hit continue, nothing happens

Thunderbird / Enigmail
WHen trying to use my passphrase to open my secret key, same thing happens, pinentry opens, and allows me to enter a pass phrase, but clicking continue nothing happens.



Actual results:
no data is sent to the console when hitting OK or Continue

Expected results:
Insstall routing should run for SU passphrase
Encrypted emails should be sent for enigmail

Additional info:
Running the pinetree output, i defineatly do not see the message being sent to the console.

gpg-agent[15987]: starting a new PIN Entry
gpg-agent[15987]: DBG: connection to PIN entry established
gpg-agent[15987]: DBG: chan_4 -> INQUIRE PINENTRY_LAUNCHED 16160
gpg-agent[15987]: DBG: chan_4 <- END
gpg-agent[15987]: DBG: error calling pinentry: Operation cancelled <Pinentry>
######had to hit cancel key after 30 seconds.

gpg-agent[15987]: failed to unprotect the secret key: Operation cancelled
gpg-agent[15987]: failed to read the secret key
gpg-agent[15987]: command 'PKSIGN' failed: Operation cancelled <Pinentry>
gpg-agent[15987]: DBG: chan_4 -> ERR 83886179 Operation cancelled <Pinentry>
gpg-agent[15987]: DBG: chan_4 <- [eof]
gpg-agent[15987]: handler 0x7f0bb0ff1700 for fd 4 terminated
gpg-agent[15987]: handler 0x7f0bb17f2700 for fd 5 started
gpg-agent[15987]: DBG: chan_5 -> OK Pleased to meet you, process 15987
gpg-agent[15987]: DBG: chan_4 <- OK Pleased to meet you, process 15987
gpg-agent[15987]: DBG: chan_4 -> GETINFO pid
gpg-agent[15987]: DBG: chan_5 <- GETINFO pid
gpg-agent[15987]: DBG: chan_5 -> D 15987
gpg-agent[15987]: DBG: chan_5 -> OK
gpg-agent[15987]: DBG: chan_4 <- D 15987
gpg-agent[15987]: DBG: chan_4 <- OK
gpg-agent[15987]: DBG: chan_4 -> BYE
gpg-agent[15987]: DBG: chan_5 <- BYE

Comment 1 Fedora End Of Life 2017-07-25 21:41:43 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-08-08 15:28:27 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.